# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
schedule = pc.backup_schedules.update(
schedule_id="SCHEDULE_ID",
enabled=False,
frequency="weekly",
retention_days=14,
)
print(schedule)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const schedule = await pc.backupSchedules.update('SCHEDULE_ID', {
enabled: false,
frequency: 'weekly',
retentionDays: 14,
});
console.log(schedule);
curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
Backup schedules
Update backup schedule
Update a Pinecone backup schedule using the API, including pausing with enabled, changing frequency, and adjusting the retention expire_after_days.
PATCH
/
backup-schedules
/
{schedule_id}
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
schedule = pc.backup_schedules.update(
schedule_id="SCHEDULE_ID",
enabled=False,
frequency="weekly",
retention_days=14,
)
print(schedule)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const schedule = await pc.backupSchedules.update('SCHEDULE_ID', {
enabled: false,
frequency: 'weekly',
retentionDays: 14,
});
console.log(schedule);
curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
This endpoint requires
X-Pinecone-Api-Version: 2026-07.Path parameters
Body parameters
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
schedule = pc.backup_schedules.update(
schedule_id="SCHEDULE_ID",
enabled=False,
frequency="weekly",
retention_days=14,
)
print(schedule)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const schedule = await pc.backupSchedules.update('SCHEDULE_ID', {
enabled: false,
frequency: 'weekly',
retentionDays: 14,
});
console.log(schedule);
curl -sS -X PATCH "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "Content-Type: application/json" \
-d '{
"enabled": false,
"frequency": "weekly",
"retention": { "expire_after_days": 14 }
}'
Was this page helpful?